=== modified file 'docs/join.rst'
--- docs/join.rst	2011-01-07 03:04:54 +0000
+++ docs/join.rst	2011-01-14 05:16:35 +0000
@@ -6,21 +6,21 @@
 Queries can access multiple tables at once, or access the same table in such a way that multiple rows of the table are being processed at the same time. For instance, in order to list all the 'interest' records together with the location of the associated city. To do this, it's necessary to compare the city column of each row of the 'Interests" table with the name column of all rows in the cities table, and select the pairs of rows where these values match. As such, a JOIN statement involves combining records from two tables by using values common to each. 
 
 Take the "Interests" table:
-
-+---------+--------------+--------------+-------------+----------+
-|Id       |DateAdded     |InterestType  |Name         | userID   |
-+=========+==============+==============+=============+==========+
-| 1       |2011-01-02    | Sport        |45           |2         |
-+---------+--------------+--------------+-------------+----------+
-| 2       |2011-01-02    | Art          |10           |4         |
-+---------+--------------+--------------+-------------+----------+
-| 3       |2011-01-02    | Music        |25           |1         |
-+---------+--------------+--------------+-------------+----------+
-| 4       |2011-01-02    | Food         |125          |1         |
-+---------+--------------+--------------+-------------+----------+
-| 5       |2011-01-03    | Music        |40           |2         |
-+---------+--------------+--------------+-------------+----------+
-| 6       |2011-01-03    | Food         |20           |3         |
+
++---------+--------------+--------------+-------------+----------+
+|Id       |DateAdded     |InterestType  |Name         | userID   |
++=========+==============+==============+=============+==========+
+| 1       |2011-01-02    | Sport        |45           |2         |
++---------+--------------+--------------+-------------+----------+
+| 2       |2011-01-02    | Art          |10           |4         |
++---------+--------------+--------------+-------------+----------+
+| 3       |2011-01-02    | Music        |25           |1         |
++---------+--------------+--------------+-------------+----------+
+| 4       |2011-01-02    | Food         |125          |1         |
++---------+--------------+--------------+-------------+----------+
+| 5       |2011-01-03    | Music        |40           |2         |
++---------+--------------+--------------+-------------+----------+
+| 6       |2011-01-03    | Food         |20           |3         |
 +---------+--------------+--------------+-------------+----------+
 
 
@@ -50,3 +50,6 @@
     * LEFT JOIN: Return all rows from the left table, even if there are no matches in the right table
     * RIGHT JOIN: Return all rows from the right table, even if there are no matches in the left table
     * FULL JOIN: Return rows when there is a match in one of the tables
+
+
+FIXME: how joins are executed. i.e. nested loop join.

